Forum Clubic

DEBIAN - l'upgrade fait des siennes

salut a tous

suite a plusieurs problemes memoire utilise a fond au bout d’un certains temps recompilation d’un nouveau noyau 2.6.16.19 install des pilotes nvidia sous xorg7 laborieu

j’ai voulu faire un upgrade du systeme pou avoir les MAJ qui aurait peut etre corrigé ce problme de memoire dont je ne sais pas dou elle vient.

et voila ce que m’affice l’upgrade

Pourquoi veut il me virer tous ca alors qu’il ne les remplace pas .
c’est pas la premiere fois que ca me le fait et cette fois je veut pas me faire avoir car reinsaller tous c’est pas la joie surtout quand on est en periode d’exam lol

alors si quelqu’un peut m’aider ou l’expliquer pkoi il fait ca ca serait gentil
merci

parce que tu utilises Etch qui n’est pas stable. Autrement dit, ce genre de probleme peut survenir n’importe quand.
Attends 1 semaine ou 2 pour tenter ton upgrade… le(s) paquet(s) cassé(s) sera (seront) surement repare(s).

Si tu poses ce genre de question alors c’est que tu n’es pas suffisament a l’aise avec Debian testing pour l’utiliser. Je te recommande vivement de revenir a Sarge (Debian Stable) si tu veux absolument conserver Debian ou passer a Ubuntu si tu veux etre un peu plus up-to-date tout en gardant l’esprit particulier Debian.

KP2 a tout dit :jap: c’est la raison pour laquelle j’utilise ubuntu :jap:

je comprend tout a fait votre opinion, ceci dit ca fait environ 3 ans que je suis sous debian et je n’ai pas trop envis de changer de distrib.
ca fait environ 1 ans que j’ai repris ma debian car je n’avais plus du tout le temps de parcourir les tutos etc… et du coup j’etais passé sous mandrake pour sa facilité d’installation t du tout en un mais je ne suis pas convaincu par mandriva.

maintenant je me debrouille tout de meme pas trop mal. je ne suis pas un expert loin de la.
De plus la testing est la meilleur solution pour apprendre a bidouiller le systeme car on est confronté parfois a des problemes qui nous pousse a chercher l’erreur et donc a apprendre a maitriser le systeme, nul doue que vous serez d’accord sur ce point

En outre passer sur une stable ou les prog ne sont pas tous recent voila pourquoi je suis sous testing et j’espere que vous comprendrais ma pensee.

De plus les paquets dans la testing ne pose pas trop de soucis etant donnee qu’il sont deja bien testé sous unstable ceci n’empeche qu’il y ai des bug et je le concoit.

voila pour ma petite reaction et voila pourquoi j’ai pose la question.
Ne pas oublier que linux vie grace a cette communoté et que chacun partage ses reussite et ses difficultés.

et merci de m’avoir repondu :super:

Et ça donne quoi avec apt-get au lieu d’aptitude ?

vince => testing c’est testing, ya pas a etre bon ou pas quand ta un bug dans la tronche qui fait que tu tourne en rond au niveau des packages, ya rien a faire

je suis passé a ubuntu quand ma testing m’a claqué entre les pattes après un upgrade kde (essentiellement) depuis le dépots officiel…
je conserve une testing sur mon portable et je la met a jour réguliérement, et réguliérement je me tape des rondes de dépendances insatisfaites… bref, faut etre dedans pour aimer ca, sinon pour bosser c’est injouable

:jap: aucun souci

Sarge a restee tellement longtemps en testing que la derniere annee (voire plus) elle etait extremement stable (je l’utilisais meme en prod) or depuis qu’elle est passee en stable , Etch est arrivee et c’est la valse des bugs en testing.
Surtout qu’en ce moment, ils sont en train de faire de grosses modifs (Xorg, Noyau, etc) et ca pete tres regulierement de partout (un des Release Manager s’est meme plaint dernierement que les bugs augmentaient depuis qq semaines au lieu de diminuer).
Ils vont seulement freezer Etch cet ete donc c’est seulement a partir de ce moment que les bugs vont diminuer sensiblement et que la stabilite arrivera.
Le passage de unstable a testing est fait automatiquement en 3 semaines environ… autrement dit, c’est vraiment pas tres fiable…

rien puisque aptitude n’est qu’une surcouche ncurses a apt-get.

faux, aptitude est différent de apt-get, il utilise un système de score pour savoir si un paquet doit être mis à jour ou pas, et ce même si d’autres paquets doivent être enlevés !

essais un apt-get upgrade puis un apt-get dist-upgrade

Alors qui avait raison??? lol

la reponse est …moi1392 :clap:

apt-get fait ca tres correctement

je n’y avais meme pas pense car je pensais exactement la meme chose sauf peut etre avec une meilleur gestion (bah pas pour aujourd’hui en tout cas lol)

enfin merci pour votre aide et encore bravo a moi1392

triple post ? pourquoi pas après tout… c’est décoratif

Je crois que moi1392 a un fan :ane: .

ouaip et il s’emballe il en fout un peu partout la

lol :smiley:
J’ai proposé de tester apt-get parce qu’il m’est déjà arrivé des trucs similaires (sous ubuntu) avec aptitude qui délire complètement avec les dépendances, donc apt-get powa.

les front end c’est toujours source d’emmerdes !

desole pour le triple post j’ai enlevé ceux qui etait en trop j’ai des petits soucis avec ma connection en ce moment et je croyais que ce n’etait pas valide.
probleme resolu il n’en reste plus qu’1

:heink:
bon ben j’aurai appris qqch aujourd’hui… ca se voit que j’utilise jamais aptitude hein ? :paf:

il est degueu ton fan, il vient de tacher tout le topic… :ane: